> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete MLE Public Key

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Deletes (disables) a specific public key registration. Once deleted, the key cannot be used for encryption or decryption operations.

<Warning>
  This action cannot be undone. Once a key is deleted, it will be permanently disabled and cannot be reactivated.
</Warning>

## Path Parameters

<ParamList
  items={[
{
  name: "id",
  type: "string",
  required: true,
  description: "The unique identifier of the public key registration to delete (e.g., 'team_jwk_12345').",
},
]}
/>

## Returns

Returns the deleted public key registration object with status changed to `disabled`.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/teams/mle/public_keys/team_jwk_12345 \
    -X DELETE \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```

  ```javascript Node.js theme={null}
  const key = await method.teams.mle.publicKeys.delete('team_jwk_12345');
  ```

  ```python Python theme={null}
  key = method.teams.mle.public_keys.delete('team_jwk_12345')
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "id": "team_jwk_12345", 
      "type": "direct",
      "jwk": {
        "kid": "team_123", 
        "kty": "RSA",
        "alg": "RSA-OAEP-256",
        "use": "enc",
        "n": "s3C9N7Vz...J7c",
        "e": "AQAB"
      },
      "well_known_endpoint": null,
      "status": "disabled",
      "contact": "security@yourcompany.com",
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    },
    "message": null
  }
  ```
</ResponseExample>
